> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arrays.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Mergers & Acquisitions Data

> [OpenAPI JSON Spec](/docs/output/v1_stocks_mergers-acquisitions_get.json)
- Regulatory compliance monitoring

**Pagination & Limits**
- Default: 100 records per page
- Maximum: 1000 records per request



## OpenAPI

````yaml /api-reference/openapi.json get /v1/stocks/mergers-acquisitions
openapi: 3.0.0
info:
  contact: {}
  description: >-
    Welcome to Arrays!


    Arrays is a unified financial data layer for both financial institutions and
    retail users, delivering comprehensive market data across crypto and equity
    markets. Our datasets cover fundamentals, ETFs, options, crypto, and more.


    Visit [arrays.org](https://arrays.org) to request an API key and start your
    free trial. You can explore our full API offerings in the documentation
    below.


    For any questions regarding APIs or pricing, please contact
    support@arrays.org.
  title: Arrays API
  version: '1.0'
servers:
  - url: https://data-tools.prd.arrays.org/api
security: []
paths:
  /v1/stocks/mergers-acquisitions:
    get:
      tags:
        - Stock
      summary: Get Mergers & Acquisitions Data
      description: >-
        [OpenAPI JSON
        Spec](/docs/output/v1_stocks_mergers-acquisitions_get.json)

        - Regulatory compliance monitoring


        **Pagination & Limits**

        - Default: 100 records per page

        - Maximum: 1000 records per request
      parameters:
        - description: Start time (Unix timestamp in seconds)
          in: query
          name: start_time
          schema:
            type: integer
        - description: End time (Unix timestamp in seconds)
          in: query
          name: end_time
          schema:
            type: integer
        - description: Stock symbol (e.g., AAPL, RIO, WLKP)
          in: query
          name: symbol
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved M&A data
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/model.APIResponse'
                  - properties:
                      data:
                        items:
                          $ref: >-
                            #/components/schemas/model.GetMergersAcquisitionsResponse
                        type: array
                    type: object
        '400':
          description: Invalid parameters
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/model.APIResponse'
                  - properties:
                      data:
                        $ref: '#/components/schemas/model.APIError'
                    type: object
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/model.APIResponse'
                  - properties:
                      data:
                        $ref: '#/components/schemas/model.APIError'
                    type: object
      security:
        - ApiKeyAuth: []
components:
  schemas:
    model.APIResponse:
      properties:
        data: {}
        error:
          $ref: '#/components/schemas/model.APIError'
        metadata: {}
        pagination: {}
        request_id:
          type: string
        success:
          type: boolean
      type: object
    model.GetMergersAcquisitionsResponse:
      properties:
        count:
          type: integer
        data:
          items:
            $ref: '#/components/schemas/model.MergersAcquisitionsData'
          type: array
      type: object
    model.APIError:
      properties:
        code:
          example: RESOURCE_NOT_FOUND
          type: string
        details:
          items:
            $ref: '#/components/schemas/model.APIErrorDetail'
          type: array
        docs_url:
          type: string
        examples:
          items:
            type: string
          type: array
        hint:
          type: string
        message:
          example: The requested resource was not found.
          type: string
        suggestions:
          items:
            type: string
          type: array
      type: object
    model.MergersAcquisitionsData:
      properties:
        acceptance_time:
          example: '2024-10-18 16:39:48'
          type: string
        cik:
          example: '0000314489'
          type: string
        company_name:
          example: FIRST BUSEY CORP /NV/
          type: string
        symbol:
          example: BUSE
          type: string
        targeted_cik:
          example: '0001458412'
          type: string
        targeted_company_name:
          example: CROSSFIRST BANKSHARES, INC.
          type: string
        targeted_symbol:
          example: CFB
          type: string
        transaction_date:
          example: '2024-10-18'
          type: string
        url:
          example: >-
            https://www.sec.gov/Archives/edgar/data/314489/000110465924109878/tm2423752-2_s4.htm
          type: string
      type: object
    model.APIErrorDetail:
      properties:
        field:
          type: string
        got:
          type: string
        reason:
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      description: 'API Key authentication. Example: "your-api-key-here"'
      in: header
      name: X-API-Key
      type: apiKey

````